<?php

namespace App\Tests\Application\Profile;

use App\Tests\Application\OtWebTestCase;

class OrganizationProfilesTest extends OtWebTestCase
{
    public function testGetAccessId(): void
    {
        $this->logger->info("\033[1;34mStarting test... get organization profile by ID\033[0m");
        $this->loginAs($this->user);
        $this->get('/api/organization_profiles/1');
        $this->assertResponseStatusCodeSame(403);
        $this->logger->info("\033[1;32mTest 'get organization profile by ID' resulted in 403 Forbidden as expected\033[0m");

        $this->logger->info("\033[1;34mStarting test... get organization profile by ID\033[0m");
        $this->loginAsStudent($this->user);
        $this->get('/api/organization_profiles/1');
        $this->assertResponseStatusCodeSame(403);
        $this->logger->info("\033[1;32mTest 'get organization profile by ID' resulted in 403 Forbidden as expected\033[0m");
    }
}
